(function ( $ ) {

    $.fn.counter = function( options ) {

        var settings = $.extend({
            duration: 3000,
        }, options );

        $(this).each(function(){

            var counter = $(this).html() * 1;

            $(this).animate({
                Counter: counter
            }, {
                duration: settings.duration,
                step: function (func) {
                    $(this).text(parseFloat(func).toFixed(0));
                }
            });

        });

    };

}( jQuery ));